Index: src/main/java/com/example/skychasemk/controller/ApplicationUserController.java
===================================================================
--- src/main/java/com/example/skychasemk/controller/ApplicationUserController.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/controller/ApplicationUserController.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -2,5 +2,4 @@
 
 import com.example.skychasemk.dto.ApplicationUserDTO;
-import com.example.skychasemk.dto.ApplicationUserLoginDTO;
 import com.example.skychasemk.model.ApplicationUser;
 import com.example.skychasemk.services.ApplicationUserService;
@@ -9,7 +8,4 @@
 import org.springframework.http.ResponseEntity;
 import org.springframework.web.bind.annotation.*;
-
-import java.util.HashMap;
-import java.util.Map;
 
 @RestController
@@ -26,10 +22,4 @@
         return ResponseEntity.ok("User saved successfully");
     }
-    @PostMapping("/login")
-    public ResponseEntity<Map<String,Long>> loginUser(@Valid @RequestBody ApplicationUserLoginDTO userDTO) {
-        ApplicationUser loginUser = userService.findByEmail(userDTO);
-        Map<String,Long> response = new HashMap<>();
-        response.put("userId",loginUser.getUserid());
-        return ResponseEntity.ok(response);
-    }
+
 }
Index: src/main/java/com/example/skychasemk/controller/BookingController.java
===================================================================
--- src/main/java/com/example/skychasemk/controller/BookingController.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/controller/BookingController.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -27,6 +27,6 @@
     }
 
-    @PutMapping("/flights/{bookingId}")
-    public Booking updateBooking(@PathVariable("bookingId") Integer bookingID, @RequestBody Booking booking) {
+    @PutMapping("/flights/{id}")
+    public Booking updateBooking(@PathVariable("id") Integer bookingID, @RequestBody Booking booking) {
         return bookingService.updateBooking(bookingID, booking);
     }
@@ -40,9 +40,9 @@
     public Booking createBooking(@RequestBody BookingDTO bookingRequest) {
         Booking newBooking = new Booking();
-        newBooking.setUserId(bookingRequest.getUserId());
+        newBooking.setUserID(bookingRequest.getUserID());
         newBooking.setFlightId(bookingRequest.getFlightId());
         newBooking.setBookingDate(LocalDate.now());
         newBooking.setStatus(Booking.payment_status.PENDING);
-        newBooking.setTotal_cost(bookingRequest.getTotalCost());
+        newBooking.setTotalCost(bookingRequest.getTotalCost());
         newBooking.setSeatNumber(bookingRequest.getSeatNumber());
         System.out.println("Saving Booking: " + newBooking);
Index: src/main/java/com/example/skychasemk/controller/FlightController.java
===================================================================
--- src/main/java/com/example/skychasemk/controller/FlightController.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/controller/FlightController.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -33,6 +33,6 @@
     }
 
-    @GetMapping("/{flightId}")
-    public Optional<Flight> getFlightById(@PathVariable("flightId") Long flightID) {
+    @GetMapping("/flights/{id}")
+    public Optional<Flight> getFlightById(@PathVariable("id") Long flightID) {
         return flightService.getFlightById(flightID);
     }
Index: src/main/java/com/example/skychasemk/controller/NotificationController.java
===================================================================
--- src/main/java/com/example/skychasemk/controller/NotificationController.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/controller/NotificationController.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -2,9 +2,6 @@
 
 import com.example.skychasemk.model.Notification;
-import com.example.skychasemk.model.Wishlist;
-import com.example.skychasemk.repository.NotificationRepository;
 import com.example.skychasemk.services.NotificationService;
 import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.http.ResponseEntity;
 import org.springframework.web.bind.annotation.*;
 
@@ -19,13 +16,17 @@
     private NotificationService notificationService;
 
-    @Autowired
-    private NotificationRepository notificationRepository;
-
-    @GetMapping("/{userId}")
-    public ResponseEntity<List<Notification>> getAllNotifications(@PathVariable Integer userId) {
-        List<Notification> notifications = notificationRepository.findByUserId(userId);
-        return ResponseEntity.ok(notifications);
+    // Get all notifications
+    @GetMapping
+    public List<Notification> getAllNotifications() {
+        return notificationService.getAllNotifications();
     }
 
+    // Get notification by ID
+    @GetMapping("/{id}")
+    public Optional<Notification> getNotificationById(@PathVariable("id") Integer notificationID) {
+        return notificationService.getNotificationById(notificationID);
+    }
+
+    // Create a new notification
     @PostMapping
     public Notification createNotification(@RequestBody Notification notification) {
@@ -33,4 +34,5 @@
     }
 
+    // Update an existing notification
     @PutMapping("/{id}")
     public Notification updateNotification(@PathVariable("id") Integer notificationID, @RequestBody Notification notification) {
@@ -38,4 +40,5 @@
     }
 
+    // Delete a notification
     @DeleteMapping("/{id}")
     public void deleteNotification(@PathVariable("id") Integer notificationID) {
Index: src/main/java/com/example/skychasemk/controller/ReviewController.java
===================================================================
--- src/main/java/com/example/skychasemk/controller/ReviewController.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/controller/ReviewController.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -3,5 +3,4 @@
 import com.example.skychasemk.dto.ReviewDTO;
 import com.example.skychasemk.model.Review;
-import com.example.skychasemk.repository.ReviewRepository;
 import com.example.skychasemk.services.ReviewService;
 import org.springframework.beans.factory.annotation.Autowired;
@@ -10,4 +9,5 @@
 
 import java.util.List;
+import java.util.Optional;
 
 @RestController
@@ -17,17 +17,15 @@
     @Autowired
     private ReviewService reviewService;
-    @Autowired
-    private ReviewRepository reviewRepository;
 
     // Get all reviews
     @GetMapping
-    public List<ReviewDTO> getAllReviews() {
+    public List<Review> getAllReviews() {
         return reviewService.getAllReviews();
     }
 
-    @GetMapping("/{userId}")
-    public ResponseEntity<List<Review>> getReviewsByFlightId(@PathVariable Integer userId) {
-        List<Review> reviews = reviewRepository.findByUserId(userId);
-        return ResponseEntity.ok(reviews);
+    // Get review by ID
+    @GetMapping("/{id}")
+    public Optional<Review> getReviewById(@PathVariable("id") Integer reviewID) {
+        return reviewService.getReviewById(reviewID);
     }
 
Index: src/main/java/com/example/skychasemk/controller/SupportTicketController.java
===================================================================
--- src/main/java/com/example/skychasemk/controller/SupportTicketController.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/controller/SupportTicketController.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -39,9 +39,9 @@
     }
 
-    @PutMapping("/{ticketId}/{status}")
-    public ResponseEntity<SupportTicket> updateTicket(@PathVariable("ticketId") Integer ticketId, @PathVariable String status) {
+    @PutMapping("/{ticketID}/status")
+    public ResponseEntity<SupportTicket> updateTicket(@PathVariable("ticketID") Integer ticketID, @RequestBody String status) {
         try {
             SupportTicket.TicketStatus newStatus = SupportTicket.TicketStatus.valueOf(status.toUpperCase());
-            return ResponseEntity.ok(supportTicketService.updateTicket(ticketId, newStatus));
+            return ResponseEntity.ok(supportTicketService.updateTicket(ticketID, newStatus));
         } catch (IllegalArgumentException e) {
             return ResponseEntity.badRequest().build();
Index: src/main/java/com/example/skychasemk/controller/TopMonthlyReportController.java
===================================================================
--- src/main/java/com/example/skychasemk/controller/TopMonthlyReportController.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ 	(revision )
@@ -1,23 +1,0 @@
-package com.example.skychasemk.controller;
-
-import com.example.skychasemk.model.TopMonthlyReport;
-import com.example.skychasemk.repository.TopMonthlyReportRepository;
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.ui.Model;
-import org.springframework.web.bind.annotation.*;
-
-import java.util.List;
-
-@RestController
-@RequestMapping("/api/views")
-public class TopMonthlyReportController {
-    @Autowired
-    private TopMonthlyReportRepository repository;
-
-
-    @GetMapping
-    public List<TopMonthlyReport> getAllReports() {
-        return repository.findAll();
-    }
-
-}
Index: src/main/java/com/example/skychasemk/controller/WishlistController.java
===================================================================
--- src/main/java/com/example/skychasemk/controller/WishlistController.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/controller/WishlistController.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -2,9 +2,5 @@
 
 import com.example.skychasemk.dto.WishlistDTO;
-import com.example.skychasemk.model.Flight;
 import com.example.skychasemk.model.Wishlist;
-import com.example.skychasemk.repository.BookingRepository;
-import com.example.skychasemk.repository.FlightRepository;
-import com.example.skychasemk.repository.WishlistRepository;
 import com.example.skychasemk.services.WishlistService;
 import org.springframework.beans.factory.annotation.Autowired;
@@ -13,7 +9,5 @@
 import org.springframework.web.bind.annotation.*;
 
-import java.util.Collections;
 import java.util.List;
-import java.util.Optional;
 
 @RestController
@@ -24,15 +18,8 @@
     private WishlistService wishlistService;
 
-    @Autowired
-    private WishlistRepository wishlistRepository;
-
-    @Autowired
-    private FlightRepository flightRepository;
-
-    @GetMapping
+    @GetMapping("/wishlists-all")
     public List<Wishlist> getAllWishlists() {
-        return wishlistRepository.findAll();
+        return wishlistService.getAllWishlists();
     }
-
     @PostMapping("/add")
     public Wishlist createWishlist(@RequestBody Wishlist wishlist) {
@@ -40,19 +27,7 @@
     }
 
-    @DeleteMapping
-    public void deleteWishlist(@RequestParam("userId") Integer userId, @RequestParam("targetId") Integer targetId) {
-        wishlistService.deleteRecordFromWishlist(userId, targetId);
-    }
-
-    @GetMapping("/{userId}")
-    public ResponseEntity<List<Wishlist>> getWishlist(@PathVariable Long userId) {
-        List<Wishlist> wishlist = wishlistService.getAllItems(userId);
-        return ResponseEntity.ok(wishlist);
-    }
-
-    @GetMapping("/flight/{wishlistId}")
-    public ResponseEntity<List<Optional<Wishlist>>> getFlight(@PathVariable Long wishlistId){
-        Optional<Wishlist> wishlist = wishlistRepository.getFlightFromWishlist(wishlistId);
-        return ResponseEntity.ok(Collections.singletonList(wishlist));
+    @DeleteMapping("/wishlist/{id}")
+    public void deleteWishlist(@PathVariable("id") Integer wishlistID) {
+        wishlistService.deleteWishlist(wishlistID);
     }
 
Index: src/main/java/com/example/skychasemk/dto/ApplicationUserDTO.java
===================================================================
--- src/main/java/com/example/skychasemk/dto/ApplicationUserDTO.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/dto/ApplicationUserDTO.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -22,12 +22,4 @@
     private String password;
 
-    private String phone_number;
-
-    public String getPhone_number() {
-        return phone_number;
-    }
-
-    public void setPhone_number(String phone_number) {
-        this.phone_number = phone_number;
-    }
+    private String phoneNumber;
 }
Index: src/main/java/com/example/skychasemk/dto/ApplicationUserLoginDTO.java
===================================================================
--- src/main/java/com/example/skychasemk/dto/ApplicationUserLoginDTO.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ 	(revision )
@@ -1,17 +1,0 @@
-package com.example.skychasemk.dto;
-
-import jakarta.validation.constraints.Email;
-import jakarta.validation.constraints.NotBlank;
-import jakarta.validation.constraints.Size;
-import lombok.Data;
-
-public class ApplicationUserLoginDTO {
-
-    @Email
-        @NotBlank
-        private String email;
-
-    public String getEmail() {
-        return email;
-    }
-}
Index: src/main/java/com/example/skychasemk/dto/BookingDTO.java
===================================================================
--- src/main/java/com/example/skychasemk/dto/BookingDTO.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/dto/BookingDTO.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -1,6 +1,5 @@
 package com.example.skychasemk.dto;
 
-import lombok.Getter;
-import lombok.Setter;
+import com.example.skychasemk.model.Flight;
 
 import java.math.BigDecimal;
@@ -9,24 +8,19 @@
 public class BookingDTO {
 
-    @Setter
-    private Integer bookingId;
+    private Integer bookingID;
+    private Integer userID;
+    private Flight flightId;
+    private LocalDate bookingDate;
+    private PaymentStatus status;
+    private BigDecimal totalCost;
+    private Integer seatNumber;
 
-    @Getter
-    private Integer userId;
-    @Setter
-    @Getter
-    private Integer flightId;
-    @Setter
-    @Getter
-    private LocalDate bookingDate;
-    @Setter
-    @Getter
-    private PaymentStatus status;
-    @Setter
-    @Getter
-    private BigDecimal totalCost;
-    @Setter
-    @Getter
-    private Integer seatNumber;
+    public Flight getFlightId() {
+        return flightId;
+    }
+
+    public void setFlightId(Flight flightId) {
+        this.flightId = flightId;
+    }
 
     public enum PaymentStatus {
@@ -36,7 +30,59 @@
     }
 
-    public void setUserID(Integer userId) {
-        this.userId = userId;
+    // Getters and Setters
+    public Integer getBookingID() {
+        return bookingID;
     }
 
+    public void setBookingID(Integer bookingID) {
+        this.bookingID = bookingID;
+    }
+
+    public Integer getUserID() {
+        return userID;
+    }
+
+    public void setUserID(Integer userID) {
+        this.userID = userID;
+    }
+
+    public Flight getFlightID() {
+        return flightId;
+    }
+
+    public void setFlightID(Flight flightId) {
+        this.flightId = flightId;
+    }
+
+    public LocalDate getBookingDate() {
+        return bookingDate;
+    }
+
+    public void setBookingDate(LocalDate bookingDate) {
+        this.bookingDate = bookingDate;
+    }
+
+    public PaymentStatus getStatus() {
+        return status;
+    }
+
+    public void setStatus(PaymentStatus status) {
+        this.status = status;
+    }
+
+    public BigDecimal getTotalCost() {
+        return totalCost;
+    }
+
+    public void setTotalCost(BigDecimal totalCost) {
+        this.totalCost = totalCost;
+    }
+
+    public Integer getSeatNumber() {
+        return seatNumber;
+    }
+
+    public void setSeatNumber(Integer seatNumber) {
+        this.seatNumber = seatNumber;
+    }
 }
Index: src/main/java/com/example/skychasemk/dto/PaymentDTO.java
===================================================================
--- src/main/java/com/example/skychasemk/dto/PaymentDTO.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/dto/PaymentDTO.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -1,7 +1,5 @@
 package com.example.skychasemk.dto;
 
-import com.example.skychasemk.model.Booking;
 import lombok.Getter;
-import lombok.Setter;
 
 import java.math.BigDecimal;
@@ -11,25 +9,23 @@
 
     // Getters and Setters
-    @Setter
     @Getter
     private Long paymentID;
     @Getter
-    private Integer bookingId;
-    @Setter
-    private Integer userId;
-    @Setter
+    private Integer bookingID;
+    private Integer userID;
     @Getter
     private PaymentMethod method;
-    @Setter
     @Getter
     private BigDecimal amount;
     @Getter
     private LocalDate transactionDate;
-    @Setter
     @Getter
     private PaymentStatus status;
-    @Setter
     @Getter
     private Long flightId;
+
+    public void setFlightId(Long flightId) {
+        this.flightId = flightId;
+    }
 
     public enum PaymentStatus {
@@ -45,9 +41,35 @@
     }
 
-
-    public Long getUserId() {
-        return Long.valueOf(userId);
+    public void setPaymentID(Long paymentID) {
+        this.paymentID = paymentID;
     }
 
+    public void setBookingID(Integer bookingID) {
+        this.bookingID = bookingID;
+    }
+
+    public Long getUserID() {
+        return Long.valueOf(userID);
+    }
+
+    public void setUserID(Integer userID) {
+        this.userID = userID;
+    }
+
+    public void setMethod(PaymentMethod method) {
+        this.method = method;
+    }
+
+    public void setAmount(BigDecimal amount) {
+        this.amount = amount;
+    }
+
+    public void setTransactionDate(LocalDate transactionDate) {
+        this.transactionDate = transactionDate;
+    }
+
+    public void setStatus(PaymentStatus status) {
+        this.status = status;
+    }
 }
 
Index: src/main/java/com/example/skychasemk/dto/ReviewDTO.java
===================================================================
--- src/main/java/com/example/skychasemk/dto/ReviewDTO.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/dto/ReviewDTO.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -11,13 +11,4 @@
     private Integer rating;
     private LocalDate date;
-    private String flightNumber;
-
-    public String getFlightNumber() {
-        return flightNumber;
-    }
-
-    public void setFlightNumber(String flightNumber) {
-        this.flightNumber = flightNumber;
-    }
 
     // Getters and Setters
Index: src/main/java/com/example/skychasemk/dto/SupportTicketDTO.java
===================================================================
--- src/main/java/com/example/skychasemk/dto/SupportTicketDTO.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/dto/SupportTicketDTO.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -1,6 +1,3 @@
 package com.example.skychasemk.dto;
-
-import lombok.Getter;
-import lombok.Setter;
 
 import java.time.LocalDate;
@@ -8,9 +5,6 @@
 public class SupportTicketDTO {
 
-    // Getters and Setters
-    @Setter
-    @Getter
     private Integer ticketID;
-    private Integer userId;
+    private Integer userID;
     private String subject;
     private String description;
@@ -26,10 +20,19 @@
     }
 
-    public Integer getUserId() {
-        return userId;
+    // Getters and Setters
+    public Integer getTicketID() {
+        return ticketID;
     }
 
-    public void setUserId(Integer userId) {
-        this.userId = userId;
+    public void setTicketID(Integer ticketID) {
+        this.ticketID = ticketID;
+    }
+
+    public Integer getUserID() {
+        return userID;
+    }
+
+    public void setUserID(Integer userID) {
+        this.userID = userID;
     }
 
Index: src/main/java/com/example/skychasemk/dto/WishlistDTO.java
===================================================================
--- src/main/java/com/example/skychasemk/dto/WishlistDTO.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/dto/WishlistDTO.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -1,30 +1,32 @@
 package com.example.skychasemk.dto;
-
-import lombok.Getter;
-import lombok.Setter;
 
 public class WishlistDTO {
 
-    private Integer userId;
-    private Integer targetId;
-    @Setter
-    @Getter
+    private Integer userID;
+    private Integer targetID;
     private boolean wishlisted;
 
     public Integer getUserID() {
-        return userId;
+        return userID;
     }
 
     public void setUserID(Integer userID) {
-        this.userId = userID;
+        this.userID = userID;
     }
 
     public Integer getTargetID() {
-        return targetId;
+        return targetID;
     }
 
     public void setTargetID(Integer targetID) {
-        this.targetId = targetID;
+        this.targetID = targetID;
     }
 
+    public boolean isWishlisted() {
+        return wishlisted;
+    }
+
+    public void setWishlisted(boolean wishlisted) {
+        this.wishlisted = wishlisted;
+    }
 }
Index: src/main/java/com/example/skychasemk/model/Administrator.java
===================================================================
--- src/main/java/com/example/skychasemk/model/Administrator.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/Administrator.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -6,5 +6,5 @@
 @Entity
 @Data
-@Table(name="administrator")
+@Table(name="Administrator")
 public class Administrator {
     @Id
Index: src/main/java/com/example/skychasemk/model/Airport.java
===================================================================
--- src/main/java/com/example/skychasemk/model/Airport.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/Airport.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -4,10 +4,10 @@
 
 @Entity
-@Table(name="airport")
+@Table(name="Airport")
 public class Airport {
 
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
-    @Column(name = "airportid")
+    @Column(name = "AirportID")
     private Integer airportID;
     @Column(name = "name")
Index: src/main/java/com/example/skychasemk/model/ApplicationUser.java
===================================================================
--- src/main/java/com/example/skychasemk/model/ApplicationUser.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/ApplicationUser.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -9,5 +9,5 @@
 @Entity
 @Data
-@Table(name="application_user")
+@Table(name="ApplicationUser")
 public class ApplicationUser {
 
@@ -29,9 +29,9 @@
 
     private String password;
-    @Column(name = "phone_number")
+    @Column(name = "phoneNumber")
 
-    private String phone_number;
+    private String phoneNumber;
 
-    @Column(name = "date_joined")
+    @Column(name = "dateJoined")
     private LocalDate dateJoined;
 
@@ -41,6 +41,3 @@
     }
 
-    public void setPhoneNumber(String phoneNumber) {
-        this.phone_number = phoneNumber;
-    }
 }
Index: src/main/java/com/example/skychasemk/model/Booking.java
===================================================================
--- src/main/java/com/example/skychasemk/model/Booking.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/Booking.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -9,20 +9,28 @@
 
 @Entity
-@Table(name="booking")
+@Table(name="Booking")
 public class Booking {
 
+    @Setter
+    @Getter
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
-    @Column(name = "bookingid")
+    @Column(name = "BookingID")
 
-    private Integer bookingId;
-    @Column(name = "userid")
+    private Integer bookingID;
+    @Setter
+    @Getter
+    @Column(name = "UserID")
 
-    private Integer userId;
+    private Integer userID;
 
+    //@Column(name = "flightid")
+
+    //private Integer flightId;
     @Column(name = "booking_date")
 
     private LocalDate booking_date;
-
+    @Setter
+    @Getter
     @Column(name = "payment_status")
 
@@ -36,12 +44,13 @@
     private Integer seat_number;
 
-    @Column(name = "flightid")
-    private Integer flightId;
+    @ManyToOne(fetch = FetchType.LAZY)
+    @JoinColumn(name = "flightid")
+    Flight flightId;
 
-    public Integer getFlightId() {
+    public Flight getFlightId() {
         return flightId;
     }
 
-    public void setFlightId(Integer flightId) {
+    public void setFlightId(Flight flightId) {
         this.flightId = flightId;
     }
@@ -57,18 +66,18 @@
     }
 
-    public Integer getBookingId() {
-        return bookingId;
+    public Integer getBookingID() {
+        return bookingID;
     }
 
-    public void setBookingId(Integer bookingID) {
-        this.bookingId = bookingID;
+    public void setBookingID(Integer bookingID) {
+        this.bookingID = bookingID;
     }
 
-    public Integer getUserId() {
-        return userId;
+    public Integer getUserID() {
+        return userID;
     }
 
-    public void setUserId(Integer userId) {
-        this.userId = userId;
+    public void setUserID(Integer userID) {
+        this.userID = userID;
     }
 
@@ -109,4 +118,12 @@
     }
 
+    public BigDecimal getTotalCost() {
+        return total_cost;
+    }
+
+    public void setTotalCost(BigDecimal totalCost) {
+        this.total_cost = totalCost;
+    }
+
     public Integer getSeatNumber() {
         return seat_number;
Index: src/main/java/com/example/skychasemk/model/Destination.java
===================================================================
--- src/main/java/com/example/skychasemk/model/Destination.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/Destination.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -6,19 +6,19 @@
 
 @Entity
-@Table(name="destination")
+@Table(name="Destination")
 public class Destination {
 
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
-    @Column(name = "destinationid")
+    @Column(name = "DestinationID")
 
     private Integer destinationID;
-    @Column(name = "name")
+    @Column(name = "Name")
 
     private String name;
-    @Column(name = "country")
+    @Column(name = "Country")
 
     private String country;
-    @Column(name = "description")
+    @Column(name = "Description")
 
     private String description;
Index: src/main/java/com/example/skychasemk/model/Flight.java
===================================================================
--- src/main/java/com/example/skychasemk/model/Flight.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/Flight.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -1,5 +1,4 @@
 package com.example.skychasemk.model;
 
-import com.fasterxml.jackson.annotation.JsonIgnore;
 import jakarta.persistence.*;
 import lombok.Getter;
@@ -43,16 +42,13 @@
 
     private Integer availableSeats;
-    @Column(name = "departure_date")
+    @Column(name = "departureDate")
 
     private LocalDate departureDate;
 
-    @Column(name="return_date")
+    @Column(name="returnDate")
     private LocalDate returnDate;
 
     @OneToMany(mappedBy = "flightId", fetch = FetchType.LAZY)
-    @JsonIgnore
     private List<Booking> bookings;
-
-    public Flight(){}
 
 }
Index: src/main/java/com/example/skychasemk/model/Notification.java
===================================================================
--- src/main/java/com/example/skychasemk/model/Notification.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/Notification.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -2,25 +2,22 @@
 
 import jakarta.persistence.*;
-import lombok.Getter;
-
 import java.time.LocalDate;
 
-@Getter
 @Entity
-@Table(name="notification")
+@Table(name="Notification")
 public class Notification {
 
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
-    @Column(name = "notificationid")
+    @Column(name = "NotificationID")
 
     private Integer notificationID;
-    @Column(name = "userid")
+    @Column(name = "UserID")
 
-    private Integer userId;
-    @Column(name = "message")
+    private Integer userID;
+    @Column(name = "Message")
 
     private String message;
-    @Column(name = "type")
+    @Column(name = "Type")
 
     @Enumerated(EnumType.STRING)
@@ -36,10 +33,23 @@
     }
 
+    // Getters and Setters
+    public Integer getNotificationID() {
+        return notificationID;
+    }
+
     public void setNotificationID(Integer notificationID) {
         this.notificationID = notificationID;
     }
 
-    public void setUserId(Integer userId) {
-        this.userId = userId;
+    public Integer getUserID() {
+        return userID;
+    }
+
+    public void setUserID(Integer userID) {
+        this.userID = userID;
+    }
+
+    public String getMessage() {
+        return message;
     }
 
@@ -48,6 +58,14 @@
     }
 
+    public Type getType() {
+        return type;
+    }
+
     public void setType(Type type) {
         this.type = type;
+    }
+
+    public LocalDate getDateSent() {
+        return dateSent;
     }
 
Index: src/main/java/com/example/skychasemk/model/Payment.java
===================================================================
--- src/main/java/com/example/skychasemk/model/Payment.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/Payment.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -13,5 +13,4 @@
 public class Payment {
 
-    @Setter
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
@@ -20,12 +19,10 @@
     private Integer paymentID;
 
-    //@Column(name = "bookingId")
-    @Setter
-    @Column(name="bookingid")
-    private Integer bookingId;
-    @Getter
-    @Column(name = "userid")
+    @Column(name = "BookingID")
 
-    private Integer userId;
+    private Integer bookingID;
+    @Column(name = "UserID")
+
+    private Integer userID;
     @Setter
     @Column(name = "payment_method")
@@ -42,11 +39,8 @@
 
     private LocalDate transactionDate;
-    @Setter
-    @Getter
     @Column(name = "payment_status")
 
     @Enumerated(EnumType.STRING)
     private PaymentStatus status;
-
 
     public enum PaymentStatus {
@@ -62,14 +56,62 @@
     }
 
-    public Integer getBookingID() {
-        return bookingId;
+    public Integer getPaymentID() {
+        return paymentID;
     }
 
-    public void setUserID(Integer userId) {
-        this.userId = userId;
+    public Integer getBookingID() {
+        return bookingID;
     }
 
-    public void setUserId(Long userId) {
-        this.userId = Math.toIntExact(userId);
+    public Integer getUserID() {
+        return userID;
+    }
+
+    public void setUserID(Integer userID) {
+        this.userID = userID;
+    }
+
+    public PaymentMethod getMethod() {
+        return method;
+    }
+
+    public void setMethod(PaymentMethod method) {
+        this.method = method;
+    }
+
+    public BigDecimal getAmount() {
+        return amount;
+    }
+
+    public void setPaymentID(Integer paymentID) {
+        this.paymentID = paymentID;
+    }
+
+    public void setBookingID(Integer bookingID) {
+        this.bookingID = bookingID;
+    }
+
+    public void setAmount(BigDecimal amount) {
+        this.amount = amount;
+    }
+
+    public LocalDate getTransactionDate() {
+        return transactionDate;
+    }
+
+    public void setTransactionDate(LocalDate transactionDate) {
+        this.transactionDate = transactionDate;
+    }
+
+    public PaymentStatus getStatus() {
+        return status;
+    }
+
+    public void setStatus(PaymentStatus status) {
+        this.status = status;
+    }
+
+    public void setUserID(Long userID) {
+        this.userID = Math.toIntExact(userID);
     }
 
Index: src/main/java/com/example/skychasemk/model/Review.java
===================================================================
--- src/main/java/com/example/skychasemk/model/Review.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/Review.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -5,16 +5,16 @@
 
 @Entity
-@Table(name="review")
+@Table(name="Review")
 public class Review {
 
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
-    @Column(name = "reviewid")
+    @Column(name = "reviewId")
 
     private Integer reviewID;
-    @Column(name = "userid")
+    @Column(name = "userId")
 
     private Integer userID;
-    @Column(name = "targetid")
+    @Column(name = "targetId")
 
     private Integer targetID;
Index: src/main/java/com/example/skychasemk/model/SupportTicket.java
===================================================================
--- src/main/java/com/example/skychasemk/model/SupportTicket.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/SupportTicket.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -3,5 +3,4 @@
 import jakarta.persistence.*;
 import lombok.Getter;
-import lombok.Setter;
 
 import java.time.LocalDate;
@@ -13,42 +12,29 @@
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
-    @Column(name = "ticketid")
-    private Integer ticketId;
+    @Column(name = "TicketID")
 
-    public Integer getTicketId() {
-        return ticketId;
-    }
+    private Integer ticketID;
+    @Getter
+    @Column(name = "UserID")
 
-    public void setTicketId(Integer ticketId) {
-        this.ticketId = ticketId;
-    }
+    private Integer userID;
+    @Column(name = "Subject")
 
-    @Setter
-    @Getter
-    @Column(name = "userid")
-
-    private Integer userId;
-
-    @Setter
+    private String subject;
     @Getter
     @Column(name = "Description")
 
     private String description;
-    @Setter
-
     @Getter
     @Column(name = "status")
     @Enumerated(EnumType.STRING)
     private TicketStatus status;
-    @Setter
     @Column(name = "date_created")
 
     private LocalDate dateCreated;
-    @Setter
     @Getter
     @Column(name = "date_resolved")
 
     private LocalDate dateResolved;
-    @Setter
     @Column(name = "assigned_to")
 
@@ -60,4 +46,31 @@
     }
 
+    public TicketStatus getStatus() {
+        return status;
+    }
+
+    public Integer getTicketID() {
+        return ticketID;
+    }
+
+    public void setTicketID(Integer ticketID) {
+        this.ticketID = ticketID;
+    }
+
+    public void setUserID(Integer userID) {
+        this.userID = userID;
+    }
+
+    public void setSubject(String subject) {
+        this.subject = subject;
+    }
+
+    public void setDescription(String description) {
+        this.description = description;
+    }
+
+    public void setStatus(TicketStatus status) {
+        this.status = status;
+    }
 
     public LocalDate getDateCreated(LocalDate now) {
@@ -65,3 +78,14 @@
     }
 
+    public void setDateCreated(LocalDate dateCreated) {
+        this.dateCreated = dateCreated;
+    }
+
+    public void setDateResolved(LocalDate dateResolved) {
+        this.dateResolved = dateResolved;
+    }
+
+    public void setAssignedTo(Integer assignedTo) {
+        this.assignedTo = assignedTo;
+    }
 }
Index: src/main/java/com/example/skychasemk/model/TopMonthlyReport.java
===================================================================
--- src/main/java/com/example/skychasemk/model/TopMonthlyReport.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ 	(revision )
@@ -1,29 +1,0 @@
-package com.example.skychasemk.model;
-
-import jakarta.persistence.*;
-import lombok.Getter;
-import lombok.Setter;
-import org.hibernate.annotations.Immutable;
-
-import java.time.LocalDate;
-@Setter
-@Getter
-@Entity
-@Table(name="topmonhtlyreport")
-@IdClass(TopMonthlyReportId.class) // Define composite key
-
-public class TopMonthlyReport {
-    // Getters and Setters
-    @Id
-    @Column(name = "month")
-    private LocalDate month;
-    @Id
-    @Column(name = "category")
-    private String category;
-    @Id
-    @Column(name = "name")
-    private String name;
-    @Column(name = "count")
-    private int count;
-
-}
Index: src/main/java/com/example/skychasemk/model/TopMonthlyReportId.java
===================================================================
--- src/main/java/com/example/skychasemk/model/TopMonthlyReportId.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ 	(revision )
@@ -1,34 +1,0 @@
-package com.example.skychasemk.model;
-
-import java.io.Serializable;
-import java.time.LocalDate;
-import java.util.Objects;
-
-public class TopMonthlyReportId implements Serializable {
-    private LocalDate month;
-    private String category;
-    private String name;
-
-    public TopMonthlyReportId() {}
-
-    public TopMonthlyReportId(LocalDate month, String category, String name) {
-        this.month = month;
-        this.category = category;
-        this.name = name;
-    }
-
-    @Override
-    public boolean equals(Object o) {
-        if (this == o) return true;
-        if (o == null || getClass() != o.getClass()) return false;
-        TopMonthlyReportId that = (TopMonthlyReportId) o;
-        return Objects.equals(month, that.month) &&
-                Objects.equals(category, that.category) &&
-                Objects.equals(name, that.name);
-    }
-
-    @Override
-    public int hashCode() {
-        return Objects.hash(month, category, name);
-    }
-}
Index: src/main/java/com/example/skychasemk/model/WebConfig.java
===================================================================
--- src/main/java/com/example/skychasemk/model/WebConfig.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/WebConfig.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -34,7 +34,6 @@
         registry.addViewController("/transaction").setViewName("forward:/TransactionPage.html");
         registry.addViewController("/login").setViewName("forward:/UserLogin.html");
-        registry.addViewController("/wishlists").setViewName("forward:/Wishlist.html");
+        registry.addViewController("/wishlist").setViewName("forward:/WishlistPage.html");
         registry.addViewController("/signup").setViewName("forward:/UserSignup.html");
-        registry.addViewController("/views").setViewName("forward:/ViewReport.html");
     }
 
Index: src/main/java/com/example/skychasemk/model/Wishlist.java
===================================================================
--- src/main/java/com/example/skychasemk/model/Wishlist.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/model/Wishlist.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -3,5 +3,4 @@
 import jakarta.persistence.*;
 import lombok.Getter;
-import lombok.Setter;
 
 import java.time.LocalDate;
@@ -17,18 +16,45 @@
 
     private Integer wishlistID;
-    @Setter
-    @Column(name = "userid")
+    @Column(name = "userId")
 
-    private Integer userId;
-    @Setter
-    @Column(name = "targetid")
+    private Integer userID;
+    @Column(name = "targetId")
 
-    private Integer targetId;
-    @Setter
-    @Getter
+    private Integer targetID;
     @Column(name = "date_added")
-    private LocalDate date_added;
 
+    private LocalDate dateAdded;
 
+    public Integer getWishlistID() {
+        return wishlistID;
+    }
+
+    public void setWishlistID(Integer wishlistID) {
+        this.wishlistID = wishlistID;
+    }
+
+    public Integer getUserID() {
+        return userID;
+    }
+
+    public void setUserID(Integer userID) {
+        this.userID = userID;
+    }
+
+    public Integer getTargetID() {
+        return targetID;
+    }
+
+    public void setTargetID(Integer targetID) {
+        this.targetID = targetID;
+    }
+
+    public LocalDate getDateAdded() {
+        return dateAdded;
+    }
+
+    public void setDateAdded(LocalDate dateAdded) {
+        this.dateAdded = dateAdded;
+    }
 }
 
Index: src/main/java/com/example/skychasemk/repository/ApplicationUserRepository.java
===================================================================
--- src/main/java/com/example/skychasemk/repository/ApplicationUserRepository.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/repository/ApplicationUserRepository.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -11,7 +11,6 @@
 @Repository
 public interface ApplicationUserRepository extends JpaRepository<ApplicationUser, Long> {
+    Optional<ApplicationUser> findByEmail(String email);
     @Query("SELECT u FROM ApplicationUser u WHERE u.userid = :id")
     Optional<ApplicationUser> getUserById(@Param("id") Long userid);
-    @Query("SELECT u FROM ApplicationUser  u WHERE u.email=:email")
-    Optional<ApplicationUser> findByEmail(@Param("email") String email);
 }
Index: src/main/java/com/example/skychasemk/repository/FlightRepository.java
===================================================================
--- src/main/java/com/example/skychasemk/repository/FlightRepository.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/repository/FlightRepository.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -13,5 +13,5 @@
 public interface FlightRepository extends JpaRepository<Flight, Long> {
 
-    @Query(value = "SELECT * FROM flight WHERE departure_airport = :departureID AND arrival_airport = :destinationID AND departure_date = :departureDate", nativeQuery = true)
+    @Query(value = "SELECT * FROM flight WHERE departure_airport = :departureID AND arrival_airport = :destinationID AND departureDate = :departureDate", nativeQuery = true)
     List<Flight> findFlights(@Param("departureID") Integer departureID,
                              @Param("destinationID") Integer destinationID,
@@ -19,5 +19,3 @@
 
 
-    @Query(value="SELECT * FROM flight  WHERE flightId=:flightId",nativeQuery = true)
-    List<Flight> getFlightByFlightId(Long flightId);
 }
Index: src/main/java/com/example/skychasemk/repository/NotificationRepository.java
===================================================================
--- src/main/java/com/example/skychasemk/repository/NotificationRepository.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/repository/NotificationRepository.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -2,14 +2,7 @@
 
 import com.example.skychasemk.model.Notification;
-import com.example.skychasemk.model.Wishlist;
 import org.springframework.data.jpa.repository.JpaRepository;
-import org.springframework.data.jpa.repository.Query;
-import org.springframework.data.repository.query.Param;
-
-import java.util.List;
-
 
 public interface NotificationRepository extends JpaRepository<Notification, Integer> {
-    @Query("SELECT n FROM Notification n WHERE n.userId = :userId")
-    List<Notification> findByUserId(@Param("userId") Integer userId);
+    // You can add custom queries here if needed
 }
Index: src/main/java/com/example/skychasemk/repository/PaymentRepository.java
===================================================================
--- src/main/java/com/example/skychasemk/repository/PaymentRepository.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/repository/PaymentRepository.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -9,8 +9,6 @@
 
 public interface PaymentRepository extends JpaRepository<Payment, Integer> {
-    @Query("SELECT p FROM Payment p WHERE p.userId = :userId")
-    List<Payment> findByUserId(@Param("userID") Long userId);
+    @Query("SELECT p FROM Payment p WHERE p.userID = :userID")
+    List<Payment> findByUserId(@Param("userID") Long userID);
 }
 
-
-
Index: src/main/java/com/example/skychasemk/repository/ReviewRepository.java
===================================================================
--- src/main/java/com/example/skychasemk/repository/ReviewRepository.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/repository/ReviewRepository.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -1,18 +1,9 @@
 package com.example.skychasemk.repository;
 
-import com.example.skychasemk.model.Notification;
 import com.example.skychasemk.model.Review;
 import org.springframework.data.jpa.repository.JpaRepository;
-import org.springframework.data.jpa.repository.Query;
-import org.springframework.data.repository.query.Param;
-
-import java.util.List;
 
 public interface ReviewRepository extends JpaRepository<Review, Integer> {
-    @Query("SELECT r from Review r where r.targetID = :flightId")
-    List<Review> findReviews(@Param("flightId") Integer flightId);
-
-    @Query("SELECT r FROM Review r WHERE r.userID = :userId")
-    List<Review> findByUserId(@Param("userId") Integer userId);
+    // Custom queries can be added here if needed
 }
 
Index: src/main/java/com/example/skychasemk/repository/SupportTicketRepository.java
===================================================================
--- src/main/java/com/example/skychasemk/repository/SupportTicketRepository.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/repository/SupportTicketRepository.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -2,5 +2,4 @@
 
 import com.example.skychasemk.model.SupportTicket;
-import org.springframework.data.jpa.repository.EntityGraph;
 import org.springframework.data.jpa.repository.JpaRepository;
 import org.springframework.data.jpa.repository.Query;
Index: src/main/java/com/example/skychasemk/repository/TopMonthlyReportRepository.java
===================================================================
--- src/main/java/com/example/skychasemk/repository/TopMonthlyReportRepository.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ 	(revision )
@@ -1,16 +1,0 @@
-package com.example.skychasemk.repository;
-
-import com.example.skychasemk.model.TopMonthlyReport;
-import org.springframework.data.jpa.repository.JpaRepository;
-import org.springframework.data.jpa.repository.Query;
-import org.springframework.stereotype.Repository;
-
-import java.time.LocalDate;
-import java.util.List;
-
-@Repository
-public interface TopMonthlyReportRepository extends JpaRepository<TopMonthlyReport, LocalDate> {
-    @Query("SELECT v FROM TopMonthlyReport v")
-    List<TopMonthlyReport> findAllRecords();
-
-}
Index: src/main/java/com/example/skychasemk/repository/WishlistRepository.java
===================================================================
--- src/main/java/com/example/skychasemk/repository/WishlistRepository.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/repository/WishlistRepository.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -4,31 +4,14 @@
 import com.example.skychasemk.model.Flight;
 import com.example.skychasemk.model.Wishlist;
-import jakarta.transaction.Transactional;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.data.jpa.repository.JpaRepository;
-import org.springframework.data.jpa.repository.Modifying;
 import org.springframework.data.jpa.repository.Query;
-import org.springframework.data.repository.query.Param;
 import org.springframework.jdbc.core.JdbcTemplate;
 import org.springframework.stereotype.Repository;
-
-import java.util.List;
-import java.util.Optional;
 
 @Repository
 public interface WishlistRepository extends JpaRepository<Wishlist, Integer> {
 
-    @Query("SELECT w FROM Wishlist w WHERE w.targetId = :targetId AND w.userId = :userId")
+    @Query("SELECT w FROM Wishlist w WHERE w.targetID = :targetId AND w.userID = :userId")
     Wishlist findByTargetIdAndUserId(Integer targetId, Integer userId);
-
-    @Query("SELECT w FROM Wishlist w WHERE w.userId = :userId")
-    List<Wishlist> findWishlistByUserId(@Param("userId") Long userId);
-
-    @Modifying
-    @Transactional
-    @Query("DELETE FROM Wishlist w WHERE w.userId = :userId AND w.targetId = :targetId")
-    void deleteByUserIdAndTargetId(@Param("userId") Integer userId, @Param("targetId") Integer targetId);
-
-    @Query("SELECT w.targetId FROM Wishlist w WHERE w.wishlistID = :wishlistId")
-    Optional<Wishlist> getFlightFromWishlist(@Param("wishlistId") Long wishlistId);
 }
Index: src/main/java/com/example/skychasemk/services/ApplicationUserService.java
===================================================================
--- src/main/java/com/example/skychasemk/services/ApplicationUserService.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/services/ApplicationUserService.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -2,13 +2,12 @@
 
 import com.example.skychasemk.dto.ApplicationUserDTO;
-import com.example.skychasemk.dto.ApplicationUserLoginDTO;
 import com.example.skychasemk.model.ApplicationUser;
 import com.example.skychasemk.repository.ApplicationUserRepository;
 import jakarta.transaction.Transactional;
-import jakarta.validation.Valid;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.stereotype.Service;
 
-import java.util.Optional;
+import java.time.Instant;
+import java.time.LocalDate;
 //import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
 
@@ -33,17 +32,8 @@
         user.setEmail(userDTO.getEmail());
         user.setPassword(userDTO.getPassword());
-        user.setPhoneNumber(userDTO.getPhone_number());
+        user.setPhoneNumber(userDTO.getPhoneNumber());
         ApplicationUser savedUser = userRepository.save(user);
         userRepository.flush();
         return savedUser;
     }
-
-    public ApplicationUser findByEmail(@Valid ApplicationUserLoginDTO userDTO) {
-        if (userRepository.findByEmail(userDTO.getEmail()).isEmpty()) {
-            throw new RuntimeException("User not registered");
-        } else {
-            Optional<ApplicationUser> userId = userRepository.findByEmail(userDTO.getEmail());
-            return userId.get();
-        }
-    }
 }
Index: src/main/java/com/example/skychasemk/services/BookingService.java
===================================================================
--- src/main/java/com/example/skychasemk/services/BookingService.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/services/BookingService.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -3,5 +3,4 @@
 import com.example.skychasemk.model.Booking;
 import com.example.skychasemk.repository.BookingRepository;
-import jakarta.transaction.Transactional;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.stereotype.Service;
@@ -9,7 +8,4 @@
 import java.util.List;
 import java.util.Optional;
-
-import static com.example.skychasemk.model.Booking.payment_status.COMPLETED;
-
 
 @Service
@@ -33,9 +29,5 @@
     public Booking updateBooking(Integer bookingID, Booking booking) {
         if (bookingRepository.existsById(bookingID)) {
-            booking.setStatus(COMPLETED);
-            booking.setUserId(booking.getUserId());
-            booking.setTotal_cost(booking.getTotal_cost());
-            booking.setFlightId(booking.getFlightId());
-            booking.setBooking_date(booking.getBooking_date());
+            booking.setBookingID(bookingID);
             return bookingRepository.save(booking);
         } else {
Index: src/main/java/com/example/skychasemk/services/NotificationService.java
===================================================================
--- src/main/java/com/example/skychasemk/services/NotificationService.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/services/NotificationService.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -15,12 +15,20 @@
     private NotificationRepository notificationRepository;
 
-    public List<Notification> getAllNotifications(Integer userId) {
-        return notificationRepository.findByUserId(userId);
+    // Get all notifications
+    public List<Notification> getAllNotifications() {
+        return notificationRepository.findAll();
     }
 
+    // Get notification by ID
+    public Optional<Notification> getNotificationById(Integer notificationID) {
+        return notificationRepository.findById(notificationID);
+    }
+
+    // Save a new notification
     public Notification saveNotification(Notification notification) {
         return notificationRepository.save(notification);
     }
 
+    // Update an existing notification
     public Notification updateNotification(Integer notificationID, Notification notification) {
         if (notificationRepository.existsById(notificationID)) {
@@ -32,4 +40,5 @@
     }
 
+    // Delete notification
     public void deleteNotification(Integer notificationID) {
         notificationRepository.deleteById(notificationID);
Index: src/main/java/com/example/skychasemk/services/PaymentService.java
===================================================================
--- src/main/java/com/example/skychasemk/services/PaymentService.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/services/PaymentService.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -55,9 +55,11 @@
 
     public Payment createTransaction(PaymentDTO dto){
-        System.out.println( dto);
+        //ApplicationUser user = userRepository.findById(dto.getUserID())
+        //        .orElseThrow(() -> new RuntimeException("User not found"));
+
         Payment payment = new Payment();
         payment.setAmount(dto.getAmount());
-        payment.setBookingId(dto.getBookingId());
-        payment.setUserId(dto.getUserId());
+        payment.setBookingID(dto.getBookingID());
+        //payment.setUserID(dto.getUserID());
         payment.setStatus(COMPLETED);
         payment.setMethod(CREDIT);
Index: src/main/java/com/example/skychasemk/services/ReviewService.java
===================================================================
--- src/main/java/com/example/skychasemk/services/ReviewService.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/services/ReviewService.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -3,5 +3,4 @@
 import com.example.skychasemk.dto.ReviewDTO;
 import com.example.skychasemk.model.Review;
-import com.example.skychasemk.repository.FlightRepository;
 import com.example.skychasemk.repository.ReviewRepository;
 import org.springframework.beans.factory.annotation.Autowired;
@@ -9,5 +8,4 @@
 
 import java.time.LocalDate;
-import java.util.ArrayList;
 import java.util.List;
 import java.util.Optional;
@@ -19,33 +17,10 @@
     private ReviewRepository reviewRepository;
 
-    @Autowired
-    private FlightRepository flightRepository;
-
-    public List<ReviewDTO> getAllReviews(){
-        List<Review> reviews = reviewRepository.findAll();
-        List<ReviewDTO> reviewDTOs = new ArrayList<>();
-
-        for (Review review : reviews) {
-            ReviewDTO dto = new ReviewDTO();
-            dto.setReviewID(review.getReviewID());
-            dto.setReviewComment(review.getReviewComment());
-            dto.setRating(review.getRating());
-            dto.setTargetID(review.getTargetID());
-            dto.setUserID(review.getUserID());
-
-            flightRepository.findById(Long.valueOf(review.getTargetID())).ifPresent(flight -> {
-                dto.setFlightNumber(flight.getFlightNumber());
-            });
-
-
-            reviewDTOs.add(dto);
-        }
-        return reviewDTOs;
+    // Get all reviews
+    public List<Review> getAllReviews() {
+        return reviewRepository.findAll();
     }
 
-   /* public List<Review> getAllReviews() {
-        return reviewRepository.findAll();
-    }*/
-
+    // Get review by ID
     public Optional<Review> getReviewById(Integer reviewID) {
         return reviewRepository.findById(reviewID);
@@ -63,4 +38,5 @@
     }
 
+    // Update an existing review
     public Review updateReview(Integer reviewID, Review review) {
         if (reviewRepository.existsById(reviewID)) {
@@ -72,4 +48,5 @@
     }
 
+    // Delete a review
     public void deleteReview(Integer reviewID) {
         reviewRepository.deleteById(reviewID);
Index: src/main/java/com/example/skychasemk/services/SupportTicketService.java
===================================================================
--- src/main/java/com/example/skychasemk/services/SupportTicketService.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/services/SupportTicketService.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -26,12 +26,8 @@
     }
     public List<SupportTicket> getAllTickets() {
-        List<SupportTicket> tickets = supportTicketRepository.findTickets();
-        tickets.forEach(ticket -> System.out.println(ticket.getTicketId() + " - " + ticket.getStatus()));
-        return tickets;
+        return supportTicketRepository.findTickets();
     }
     public List<SupportTicket> getResolvedTickets() {
-        List<SupportTicket> tickets = supportTicketRepository.findResolvedTickets();
-        tickets.forEach(ticket -> System.out.println(ticket.getTicketId() + " - " + ticket.getStatus()));
-        return tickets;
+        return supportTicketRepository.findResolvedTickets();
     }
 
@@ -43,8 +39,9 @@
     public SupportTicket createTicket(@RequestBody SupportTicketDTO dto) {
         SupportTicket ticket = new SupportTicket();
-        ticket.setUserId(dto.getUserId());
         ticket.setDateCreated(LocalDate.now());
         ticket.setStatus(OPEN);
+        ticket.setSubject("Issue Opened");
         ticket.setDescription(dto.getDescription());
+
         return supportTicketRepository.save(ticket);
     }
Index: src/main/java/com/example/skychasemk/services/TopMonthlyReportService.java
===================================================================
--- src/main/java/com/example/skychasemk/services/TopMonthlyReportService.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ 	(revision )
@@ -1,19 +1,0 @@
-package com.example.skychasemk.services;
-
-import com.example.skychasemk.model.TopMonthlyReport;
-import com.example.skychasemk.repository.TopMonthlyReportRepository;
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.stereotype.Service;
-
-import java.time.LocalDate;
-import java.util.List;
-
-@Service
-public class TopMonthlyReportService {
-    @Autowired
-    private TopMonthlyReportRepository repository;
-
-    public List<TopMonthlyReport> getAllReports() {
-        return repository.findAllRecords();
-    }
-}
Index: src/main/java/com/example/skychasemk/services/WishlistService.java
===================================================================
--- src/main/java/com/example/skychasemk/services/WishlistService.java	(revision 7deb3e2f2b25173055e53926791fba21c9d4dbac)
+++ src/main/java/com/example/skychasemk/services/WishlistService.java	(revision 57e58a35be0538f1ab9cd2a435d4229175bc485f)
@@ -2,5 +2,4 @@
 
 import com.example.skychasemk.dto.WishlistDTO;
-import com.example.skychasemk.model.Booking;
 import com.example.skychasemk.model.Flight;
 import com.example.skychasemk.model.Wishlist;
@@ -8,9 +7,5 @@
 import com.example.skychasemk.repository.WishlistRepository;
 import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.http.HttpStatus;
-import org.springframework.http.ResponseEntity;
 import org.springframework.stereotype.Service;
-import org.springframework.web.bind.annotation.PostMapping;
-import org.springframework.web.bind.annotation.RequestBody;
 
 import java.time.LocalDate;
@@ -31,13 +26,11 @@
     }
 
-
     public Wishlist saveWishlist(Wishlist wishlist) {
-        if (wishlist == null) {
-            throw new IllegalArgumentException("Wishlist cannot be null");
-        }
-        wishlist.setDate_added(LocalDate.now());
         return wishlistRepository.save(wishlist);
     }
 
+    public void deleteWishlist(Integer wishlistID) {
+        wishlistRepository.deleteById(wishlistID);
+    }
 
     public void updateWishlist(WishlistDTO wishlistRequest) {
@@ -50,7 +43,7 @@
             if (existingItem == null) {
                 Wishlist newWishlistItem = new Wishlist();
-                newWishlistItem.setTargetId(Math.toIntExact(wishlistRequest.getTargetID()));
-                newWishlistItem.setUserId(wishlistRequest.getUserID());
-                newWishlistItem.setDate_added(LocalDate.now());
+                newWishlistItem.setTargetID(Math.toIntExact(wishlistRequest.getTargetID()));
+                newWishlistItem.setUserID(wishlistRequest.getUserID());
+                newWishlistItem.setDateAdded(LocalDate.now());
                 wishlistRepository.save(newWishlistItem);
             }
@@ -64,11 +57,4 @@
     }
 
-    public List<Wishlist> getAllItems(Long userId) {
-        return wishlistRepository.findWishlistByUserId(userId);
-    }
-
-    public void deleteRecordFromWishlist(Integer userId, Integer targetId) {
-        wishlistRepository.deleteByUserIdAndTargetId(userId, targetId);
-    }
 }
 
